--------------------------------------------------------------------------------
-- Code developed by Generis Technology Limited
--
-- Product Name: B-Smart
--
-- Component Name: Meter Asset Manager
--
-- Description: Script to regress MDD change 20/x11
--
-- Amendment History:                   Date        Author            Vers
-- ------------------                   ---------   -------           -----
-- B-Smart Initial Release              30-JUN-20   Generis           20.7
--------------------------------------------------------------------------------
--
-- SET SERVEROUTPUT ON SIZE 1000000
SET VERIFY OFF
--
SET SCAN OFF
--
PROMPT
PROMPT Script to regress MDD change 20/x11
PROMPT
PROMPT Version 20.7
PROMPT
--
PROMPT
PROMPT Regress delete NEL as SUP (MDD 20/x11)
PROMPT
--
DECLARE

  invalid_column      EXCEPTION;
  is_snapshot         EXCEPTION;
  row_exists          EXCEPTION;
  fk_violated         EXCEPTION;
  PRAGMA EXCEPTION_INIT(invalid_column, -904);
  PRAGMA EXCEPTION_INIT(is_snapshot, -1732);
  PRAGMA EXCEPTION_INIT(row_exists, -1);
  PRAGMA EXCEPTION_INIT(fk_violated, -2292);

BEGIN

  EXECUTE IMMEDIATE 'UPDATE MARKET_PARTICIPANT_IN_ROLE
                        SET EFFECTIVE_TO_DATE = NULL,
                            MARKET_PARTICIPANT_ROLE_NAME = REPLACE(MARKET_PARTICIPANT_ROLE_NAME,''DELETED - '',''''),
                            LAST_UPDATE_USER_ID = USER,
                            LAST_UPDATE_DATE = SYSDATE
                      WHERE MARKET_PARTICIPANT_CODE = ''NEL''
                        AND MARKET_PARTICIPANT_ROLE_CODE = ''SUP''';

EXCEPTION
  WHEN is_snapshot OR invalid_column THEN
    NULL;
END;
/
--
SET SCAN ON
--
COMMIT
/
--
SET VERIFY ON
--
